Saltar al contenido principal
GET
/
client
/
label
/
{id}
Get label
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/label/{id} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "code": 0,
  "data": {
    "headers": {
      "Content-Type": "application/pdf",
      "Content-Disposition": "attachment; filename=\"UR07240000000004901_shipping_labels_2025-07-31.pdf\""
    },
    "body": "JVBERi0xLjMKJf////8K..."
  }
}
Cuando labelType es shipping, el envío debe haber sido comprado previamente.
El contenido PDF está codificado en Base64 en el campo body. Para guardarlo como archivo:
const fs = require('fs');
const pdfBuffer = Buffer.from(response.data.body, 'base64');
fs.writeFileSync('label.pdf', pdfBuffer);

Autorizaciones

Authorization
string
header
requerido

API access token generated from the UniUni Platform dashboard.

Parámetros de ruta

id
string
requerido

The orderNumber (for shipping labels) or batchNumber (for batch labels).

Parámetros de consulta

labelType
enum<string>

Type of label to retrieve.

Opciones disponibles:
shipping,
batching

Respuesta

200 - application/json

Label PDF or error

message
string
requerido

Additional information about the request status.

code
integer
requerido

Status code. 0 indicates success.

data
object